%define	upstream_name	 Readonly
%define upstream_version 2.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Facility for creating read-only scalars, arrays, hashes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Readonly/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a facility for creating non-modifiable variables. This is useful for
configuration files, headers, etc. It can also be useful as a development and
debugging tool, for catching updates to variables that should not be changed.

If any of the values you pass to Scalar, Array, or Hash are references, then
those functions recurse over the data structures, marking everything as
Readonly. Usually, this is what you want: the entire structure nonmodifiable.
If you want only the top level to be Readonly, use the alternate Scalar1,
Array1 and Hash1 functions.

Please note that most users of Readonly will also want to install a companion
module Readonly::XS. See the "CONS" section below for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{perl_vendorlib}/Readonly.pm
%{_mandir}/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 2.50.0-4.mga9
+ Revision: 1810145
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.50.0-3.mga8
+ Revision: 1506125
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.50.0-2.mga7
+ Revision: 1285938
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 2.50.0-1.mga7
+ Revision: 1128901
- update to 2.05

* Sun May 08 2016 shlomif <shlomif> 2.40.0-1.mga6
+ Revision: 1010762
- update to 2.04

* Thu Feb 25 2016 shlomif <shlomif> 2.10.0-1.mga6
+ Revision: 978835
- update to 2.01

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-4.mga6
+ Revision: 947396
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 741184
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 686088
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 sander85 <sander85> 2.0.0-1.mga5
+ Revision: 642698
- update to 2.00

* Sat Jun 28 2014 sander85 <sander85> 1.610.0-1.mga5
+ Revision: 640853
- update to 1.61

* Fri Jun 27 2014 jquelin <jquelin> 1.500.0-1.mga5
+ Revision: 640242
- update to v1.500.0

* Sat Feb 08 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 586101
- update to 1.04

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 514428
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 372232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 31080
- mageia rebuild
- imported package perl-Readonly


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.0
+ Revision: 404352
- rebuild using %%perl_convert_version

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 1.03-4mdv2009.0
+ Revision: 232969
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-3mdv2008.0
+ Revision: 86820
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-2mdv2007.0
- Rebuild

* Sun Apr 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdk
- first mdk release

